Bug 1509224 (CVE-2017-12183) - CVE-2017-12183 xorg-x11-server: unvalidated lengths in XFIXES extension
Summary: CVE-2017-12183 xorg-x11-server: unvalidated lengths in XFIXES extension
Status: CLOSED WONTFIX
Alias: CVE-2017-12183
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171010,repor...
Keywords: Security
Depends On: 1509258
Blocks: 1509263
TreeView+ depends on / blocked
 
Reported: 2017-11-03 11:08 UTC by Adam Mariš
Modified: 2019-06-08 22:27 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-07 07:27:08 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-11-03 11:08:35 UTC
Missing length validation was found in XFIXES extension

Upstream patch:

https://cgit.freedesktop.org/xorg/xserver/commit/?id=55caa8b08c84af2b50fbc936cf334a5a93dd7db5

Comment 1 Adam Mariš 2017-11-03 11:08:42 UTC
Acknowledgments:

Name: the Xorg project

Comment 2 Adam Mariš 2017-11-03 12:28:46 UTC
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 1509258]


Note You need to log in before you can comment on or make changes to this bug.